Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction
Class AbstractChannelAction

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.AbstractChannelAction

Direct Known Subclasses:
  ChannelAction, ChannelAction

public abstract class AbstractChannelAction
extends java.lang.Object

Id: AbstractChannelAction.java,v 1.0 24 sept. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: AbstractChannelAction Original Author: Yohan Colmant

Constructor Summary
`AbstractChannelAction()`

Method Summary
`void` | `checkCalledAction(java.lang.String currentMode, org.jasig.portal.ChannelStaticData staticData, org.jasig.portal.ChannelRuntimeData runtimeData, org.xml.sax.ContentHandler out, org.jasig.portal.utils.XSLT xslt, ChannelException setStaticDataException)` Manage the actions when refreshing the channel
`void` | `init(org.jasig.portal.security.IPerson person, Space currentSpace, java.util.ArrayList spaces, BufferAction buffer, java.lang.String userPortalLogin, java.util.Vector userGroups)` Init the object used to manage the actions of the channel
`abstract java.lang.StringBuffer` | `renderXmlChannelException(ChannelException e)` Return the xml when we have a ChannelException exception
`abstract java.lang.StringBuffer` | `renderXmlWithInformation(java.lang.String informationCode)` Return the xml when we have to show a information message
`abstract java.lang.StringBuffer` | `specificCheckCalledAction(java.lang.String currentMode, org.jasig.portal.ChannelStaticData staticData, org.jasig.portal.ChannelRuntimeData runtimeData, org.xml.sax.ContentHandler out, org.jasig.portal.utils.XSLT xslt, ChannelException setStaticDataException)` Manage the specific actions when refreshing the channel for the specific channel mode

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractChannelAction

    public AbstractChannelAction()

Method Detail

### init

    public void init(org.jasig.portal.security.IPerson person,
                     Space currentSpace,
                     java.util.ArrayList spaces,
                     BufferAction buffer,
                     java.lang.String userPortalLogin,
                     java.util.Vector userGroups)
              throws ChannelException

  Init the object used to manage the actions of the channel

  Parameters:
    `person` - the uportal person object
    `currentSpace` - the current space used
    `spaces` - all the spaces used
    `buffer` - the buffer used to get for example the clipboard
    `userPortalLogin` - The user login in the portal
    `userGroups` - The groups of the user in the portal
  Throws:
    `ChannelException`

### checkCalledAction

    public void checkCalledAction(java.lang.String currentMode,
                                  org.jasig.portal.ChannelStaticData staticData,
                                  org.jasig.portal.ChannelRuntimeData runtimeData,
                                  org.xml.sax.ContentHandler out,
                                  org.jasig.portal.utils.XSLT xslt,
                                  ChannelException setStaticDataException)
                           throws org.jasig.portal.PortalException

  Manage the actions when refreshing the channel

  Parameters:
    `staticData` - the static data channel object
    `runtimeData` - the runtime data channel object
    `out` - the contentHandler used in the renderXml
    `xslt` - the xslt motor object
    `setStaticDataException` - the excpetion throwed in the setStaticData method
  Throws:
    `org.jasig.portal.PortalException`

### renderXmlWithInformation

    public abstract java.lang.StringBuffer renderXmlWithInformation(java.lang.String informationCode)
                                                             throws PropertiesException

  Return the xml when we have to show a information message

  Returns:
    the xml when we have to show a information message
  Throws:
    `PropertiesException`

### renderXmlChannelException

    public abstract java.lang.StringBuffer renderXmlChannelException(ChannelException e)

  Return the xml when we have a ChannelException exception

  Parameters:
    `e` - the throwed exception
  Returns:
    the xml when we have a ChannelException exception

### specificCheckCalledAction

    public abstract java.lang.StringBuffer specificCheckCalledAction(java.lang.String currentMode,
                                                                     org.jasig.portal.ChannelStaticData staticData,
                                                                     org.jasig.portal.ChannelRuntimeData runtimeData,
                                                                     org.xml.sax.ContentHandler out,
                                                                     org.jasig.portal.utils.XSLT xslt,
                                                                     ChannelException setStaticDataException)
                                                              throws ChannelException,
                                                                     org.jasig.portal.PortalException

  Manage the specific actions when refreshing the channel for the specific channel mode

  Parameters:
    `currentMode` - the current channel mode
    `staticData` - the static data channel object
    `runtimeData` - the runtime data channel object
    `out` - the contentHandler used in the renderXml
    `xslt` - the xslt motor object
    `setStaticDataException` - the excpetion throwed in the setStaticData method
  Throws:
    `org.jasig.portal.PortalException`
    `ChannelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD